Bug 128217 - Error encabling swap device hdg3. No such file or directory during update install
Error encabling swap device hdg3. No such file or directory during update in...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
http://sherwin.ws
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 05:43 EDT by Gary W. Sherwin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gary W. Sherwin 2004-07-20 05:43:06 EDT
Gary W. Sherwin
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

/etc/fstab contains

LABEL=/                 /                       ext3    
defaults        1 1
LABEL=/boot             /boot                   ext3    
defaults        1 2
none                    /dev/pts                devpts  
gid=5,mode=620  0 0
none                    /proc                   proc    
defaults        0 0
none                    /dev/shm                tmpfs   
defaults        0 0
/dev/hdg3               swap                    swap    
defaults        0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660 
noauto,owner,kudzu,
o 0 0
/dev/cdrom1             /mnt/cdrom1             udf,iso9660 
noauto,owner,kudzu,
o 0 0
/dev/fd0                /mnt/floppy             auto    
noauto,owner,kudzu 0 0

I have autp partitioned under Fedora Core 1 as

  hde1     1    13   102   ext3
  hde2    14  9664 75705   ext3
  hde3  9665  9729   510   linux-swap

I get the error:

  Error enabling swap device hdg3.  No such file or directory

  NOTE:  I do not have a device hdgX.  I have hde

My installation is Core 1 and also fully updated.

I have tried noprobe, text, C3boot-2.iso.  Everything stops at
exactly the same place.  
Actual results:
Comment 1 Paul Nasrat 2004-07-20 05:54:20 EDT
In fedora core 1 can you give me the out put of the following:

cat /proc/swaps

If you edit your fstab to s/hdg3/hde3/ does Fedora Core 1 boot and
setup swap correctly?  

Anaconda is quite rightly complaining that it can't find the device.
Has any h/w config changed at all since your original install.
Comment 2 Gary W. Sherwin 2004-07-20 10:19:24 EDT
The outpuput of "cat /proc/swaps is:

    Filename           Type       Size   Used    Priority
    /dev/hde3          partition  522104 89424   -1

I missed the typo in fstab, and have corrected it.  The machine still
boots correctly.  I have to wait till I get home this evening, to try 
the install again, As I can't do that remotely.

This was a Win-2000-Server machine which had 2 disks.  The system
disk crashed and was replaced with a new drive.  The installation
was made with the new disk and a second old quantum 3GB disk attached
that was formatted ntfs.  That disk has since been removed as it 
would not function, even under knoppix.  My Fedora Core 1 system 
seems to be functioning reasonably on its own.  http://sherwin.ws
with web, ftp, sendmail and port forwarding running.  I have 
attempted to install as a Fedora Core 2 cd boot and get as far as the
point where it correctly detects the Core 1 installation on hde, but 
when I tell it to continue, that is when it looks for the swap on hdg 
and of course fails.

Thanks

Gary
Comment 3 Jeremy Katz 2004-10-07 14:59:58 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.